[IPython-dev] Windows users: do NOT upgrade to 0.8.0 yet!

Fernando Perez fperez.net@gmail....
Wed Apr 11 08:34:27 CDT 2007


Hi all

unless you are using pyreadline from SVN, if you are a Windows user,
do NOT upgrade to ipython 0.8.0 yet.  As we unfortunately discovered
this morning, it needs pyreadline 1.4, which we haven't released yet
because Jorgen is on travel and the current code has a broken
setup.py.

I'm sure that as soon as Jorgen returns (or any other dev with Windows
access for testing can do it) we'll sort this out, and we'll release
PyReadline 1.4.  At that time, it will be safe to upgrade.


If any user can contribute a fixed up setup.py for pyreadline, I'll be
happy to incorporate it and release (I can make the release from
Linux).  Unfortunatley I have a trip coming up and can't spend any
time on the issue myself beyond making a release, I simply don't have
time to write the code myself right now.  Next Wednesday would be the
earliest I could do the coding, though making the release is quick
enough that I can do it if someone sends a patch for the setup file
(which seems to be the only problem).

I'm very sorry for the confusion and the time wasted for all.  My
Windows install lives on a computer that died (hardware) this weekend
so I couldn't do any testing, and our win32 developers who regularly
work on the platform (Jorgen and Ville) have both been traveling, so I
completely dropped the ball for that OS.  My apology.


Regards,

f


More information about the IPython-dev mailing list